summaryrefslogtreecommitdiffstats
path: root/source/n/newspost
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/n/newspost
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n/newspost')
-rwxr-xr-xsource/n/newspost/newspost.SlackBuild22
-rw-r--r--source/n/newspost/newspost.getline.diff57
-rw-r--r--source/n/newspost/slack-desc12
3 files changed, 80 insertions, 11 deletions
diff --git a/source/n/newspost/newspost.SlackBuild b/source/n/newspost/newspost.SlackBuild
index cd01269a6..129801399 100755
--- a/source/n/newspost/newspost.SlackBuild
+++ b/source/n/newspost/newspost.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,22 +20,32 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=newspost
VERSION=2.1.1
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-newspost
@@ -53,6 +63,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/newspost.getline.diff.gz | patch -p1 --verbose || exit 1
+
make $NUMJOBS || make || exit 1
mkdir -p $PKG/usr/bin
diff --git a/source/n/newspost/newspost.getline.diff b/source/n/newspost/newspost.getline.diff
new file mode 100644
index 000000000..f85492874
--- /dev/null
+++ b/source/n/newspost/newspost.getline.diff
@@ -0,0 +1,57 @@
+diff -u -r newspost-2.1.1.orig/base/newspost.c newspost-2.1.1/base/newspost.c
+--- newspost-2.1.1.orig/base/newspost.c 2003-04-23 10:33:23.000000000 -0500
++++ newspost-2.1.1/base/newspost.c 2018-02-02 16:14:51.133929233 -0600
+@@ -342,7 +342,7 @@
+ file = fopen(filename, "r");
+ if (file != NULL) {
+ while (!feof(file)) {
+- line = getline(line, file);
++ line = newspost_getline(line, file);
+ if(line == NULL){
+ text_buffer = buff_add(text_buffer, "\r\n");
+ continue;
+diff -u -r newspost-2.1.1.orig/base/utils.c newspost-2.1.1/base/utils.c
+--- newspost-2.1.1.orig/base/utils.c 2003-04-23 10:33:23.000000000 -0500
++++ newspost-2.1.1/base/utils.c 2018-02-02 16:14:36.751929386 -0600
+@@ -43,7 +43,7 @@
+ return NULL;
+ }
+
+-Buff * getline(Buff *buff, FILE *file){
++Buff * newspost_getline(Buff *buff, FILE *file){
+ char c = fgetc(file);
+ buff = buff_free(buff);
+ while(TRUE){
+diff -u -r newspost-2.1.1.orig/base/utils.h newspost-2.1.1/base/utils.h
+--- newspost-2.1.1.orig/base/utils.h 2003-02-08 09:09:41.000000000 -0600
++++ newspost-2.1.1/base/utils.h 2018-02-02 16:15:07.069929063 -0600
+@@ -26,7 +26,7 @@
+ file_entry * file_entry_alloc();
+ file_entry * file_entry_free(file_entry *fe);
+
+-Buff * getline(Buff *buff, FILE *file);
++Buff * newspost_getline(Buff *buff, FILE *file);
+ Buff *buff_add(Buff *buff, char *data, ... );
+ Buff * buff_free(Buff *buff);
+ Buff *buff_create(Buff *buff, char *data, ... );
+diff -u -r newspost-2.1.1.orig/ui/options.c newspost-2.1.1/ui/options.c
+--- newspost-2.1.1.orig/ui/options.c 2003-04-23 10:33:33.000000000 -0500
++++ newspost-2.1.1/ui/options.c 2018-02-02 16:16:53.144927936 -0600
+@@ -332,7 +332,7 @@
+ file = fopen(filename->data, "r");
+ if (file != NULL) {
+ while (!feof(file)) {
+- line = getline(line, file);
++ line = newspost_getline(line, file);
+ linenum++;
+ if(line == NULL) continue;
+
+@@ -429,7 +429,7 @@
+ linenum = 0;
+ while (linenum < 8) {
+ linenum++;
+- line = getline(line, file);
++ line = newspost_getline(line, file);
+ if(line == NULL) continue;
+
+ switch (linenum) {
diff --git a/source/n/newspost/slack-desc b/source/n/newspost/slack-desc
index b9edc7a46..39781564b 100644
--- a/source/n/newspost/slack-desc
+++ b/source/n/newspost/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
newspost: newspost (binary posting utility)
newspost:
-newspost: Newspost is a usenet binary autoposter. It will uuencode or yencode
-newspost: files and post them to usenet newsgroups. In addition, it can
+newspost: Newspost is a usenet binary autoposter. It will uuencode or yencode
+newspost: files and post them to usenet newsgroups. In addition, it can
newspost: automatically generate and post .SFV checksum files and .PAR parity
newspost: files.
newspost:
newspost: Newspost was mostly written by Jim Faulkner, with some help from
-newspost: William McBrine. Portions borrowed from cksfv by Bryan Call, and
+newspost: William McBrine. Portions borrowed from cksfv by Bryan Call, and
newspost: parchive by Willem Monsuwe.
newspost: